Back up to the FireBrick IPsec Tunnels Category Page

IPsec OpenBSD

From AAISP Support Site
Revision as of 10:30, 16 September 2015 by AA-Paul (talk | contribs)
Jump to navigation Jump to search


Overview and requirements

This has been tested using pre-shared keys between a Firebrick FB2700 and OpenBSD 5.7-RELEASE.

We had to add some workarounds to the FireBrick IPsec code to cope with some protocol negotiation issues with OpenBSD's IKEv2 implementation. We are in talks with the OpenBSD developers about which end is doing things correctly, but for the moment you will need a FireBrick with firmware version 1.36.032 or newer for this to work.